
package com.redxun.knowledge.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.baomidou.mybatisplus.core.toolkit.ObjectUtils;
import com.redxun.common.base.entity.JsonResult;
import com.redxun.common.tool.StringUtils;
import com.redxun.knowledge.entity.dao.KnowledgeCategory;
import com.redxun.knowledge.service.KnowledgeCategoryServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
import java.util.List;

@Slf4j
@RestController
@RequestMapping("/api-knowledge/knowledge/knowledgeCategory")
@Api(tags = "业务--知识分类表")
@ClassDefine(title = "业务--知识分类表", alias = "KnowledgeCategoryController", path = "/api-knowledge/knowledge/knowledgeCategory", packages = "", packageName = "子系统名称")
public class KnowledgeCategoryController extends BaseController<KnowledgeCategory> {

    @Autowired
    KnowledgeCategoryServiceImpl knowledgeCategoryService;


    @Override
    public BaseService getBaseService() {
        return knowledgeCategoryService;
    }

    @Override
    public String getComment() {
        return "业务--知识分类表";
    }

    @ApiOperation("根据id查询其下级分类信息")
    @GetMapping("findAllByCategoryId/{categoryId}")
    public JsonResult findAllByCategoryId(@PathVariable(value = "categoryId",required = false) String categoryId){
        JsonResult jsonResult = JsonResult.getSuccessResult("获取数据成功");
        KnowledgeCategory knowledgeCategory = knowledgeCategoryService.findAllByCategoryId(categoryId);
        jsonResult.setData(knowledgeCategory);
        return jsonResult;
    }

}

