
package com.redxun.knowledge.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.base.entity.JsonResult;
import com.redxun.knowledge.entity.dao.Knowledge;
import com.redxun.knowledge.service.KnowledgeServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Slf4j
@RestController
@RequestMapping("/api-knowledge/knowledge/knowledge")
@Api(tags = "业务--知识表")
@ClassDefine(title = "业务--知识表", alias = "KnowledgeController", path = "/knowledge/knowledge", packages = "", packageName = "子系统名称")
public class KnowledgeController extends BaseController<Knowledge> {

    @Autowired
    KnowledgeServiceImpl knowledgeService;


    @Override
    public BaseService getBaseService() {
        return knowledgeService;
    }

    @Override
    public String getComment() {
        return "业务--知识表";
    }

    @ApiOperation("根据分类id查询全部维基知识")
    @GetMapping("/findAllWiki/{categoryId}")
    public JsonResult findAllWiki(@PathVariable("categoryId") String categoryId){
        JsonResult jsonResult = JsonResult.getSuccessResult("返回数据成功!");
        List<Knowledge> wikiList = knowledgeService.findAllWiki(categoryId);
        jsonResult.setData(wikiList);
        return jsonResult;
    }

}

