
package com.redxun.knowledge.service;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.redxun.common.base.db.BaseDao;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.tool.IdGenerator;
import com.redxun.common.service.impl.SuperServiceImpl;
import com.redxun.knowledge.entity.dao.Knowledge;
import com.redxun.knowledge.mapper.KnowledgeMapper;
import org.springframework.stereotype.Service;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;
import javax.annotation.Resource;

/**
* [业务--知识表]业务服务类
*/
@Service
public class KnowledgeServiceImpl extends SuperServiceImpl<KnowledgeMapper, Knowledge> implements BaseService<Knowledge> {

    @Resource
    private KnowledgeMapper knowledgeMapper;

    @Override
    public BaseDao<Knowledge> getRepository() {
        return knowledgeMapper;
    }

    /**
     * 查询全部维基知识
     */
    public List<Knowledge> findAllWiki(String categoryId){
        //List<Knowledge> knowledges = knowledgeMapper.selectList(null);
        //List<Knowledge> knowledgeWikiList = knowledges.stream().
        //        filter(knowledge -> knowledge.getType() == 2).collect(Collectors.toList());
        QueryWrapper<Knowledge> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("CATEGORY_ID", categoryId);
        queryWrapper.eq("TYPE",2);
        List<Knowledge> knowledgeWikiList = knowledgeMapper.selectList(queryWrapper);
        return knowledgeWikiList;
    }

}
